
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript中call,apply,bind函数用法示例_javascript技巧 / iVAN</title>

    <meta name="description" content="javascript中call,apply,bind函数用法示例_javascript技巧 本文实例讲述了javascript中call,apply,bind函数用法.分享给大家供大家参考,具体如下: 一.call函数 a.call(b); 简单的理解:把a对象的方法应用到b对象上(a里如果有this,会指向b) call()的用法:用在函数上面 var Dog=function(){ this.name=&quot;汪星人&quot;; this.shout=function(){ alert(this.name); } }; var Cat=function(){ this.nam ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript中call,apply,bind函数用法示例_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了javascript中call,apply,bind函数用法。分享给大家供大家参考，具体如下：</p>
<p><strong>一.call函数</strong></p>
<p>a.call(b);</p>
<p>简单的理解：把a对象的方法应用到b对象上(a里如果有this，会指向b)</p>
<p>call()的用法：用在函数上面</p>
<pre>
var Dog=function(){
  this.name="汪星人";
  this.shout=function(){
  alert(this.name);
  }
};
var Cat=function(){
  this.name="喵星人";
  this.shout=function(){
  alert(this.name);
  }
};
var dog=new Dog();
var cat=new Cat();
dog.shout();
cat.shout();
</pre>
<p>如果猫函数中没有shout方法，要达到一样的效果</p>
<pre>
var Dog=function(){
  this.name="汪星人";
  this.shout=function(){
  alert(this.name);
  }
};
var Cat=function(){
  this.name="喵星人";
};
var dog=new Dog();
var cat=new Cat();
dog.shout();
dog.shout.call(cat);
cat.shout();
</pre>
<p>call的作用：函数可以复用</p>
<p><strong>二、apply函数</strong></p>
<pre>
var xh=
{
  name:"小红",
  job:"前端工程师"
};
var xm=
{
  name:"小明",
  job:"js工程师"
};
var xw=
{
  name:"小王",
  job:"html5工程师"
};
function myjob(gender,age,company)
{
  alert(this.name+","+gender+",今年"+age+"岁,在"+company+"担任"+this.job);
}
myjob.call(xh,"女",24,"腾讯");
myjob.call(xm,"男",22,"新浪");
myjob.call(xw,"男",28,"网易");
</pre>
<p>call函数和apply函数功能一样，区别是第二个参数形式不一样，call传递多个参数，任意形式（传入参数和函数所接受参数一一对应），apply第二个参数必须是数组形式，如a.call(b,2,3); ==&gt;  a.apply(b,[2,3]);</p>
<pre>
var xh=
{
  name:"小红",
  job:"前端工程师"
};
var xm=
{
  name:"小明",
  job:"js工程师"
};
var xw=
{
  name:"小王",
  job:"html5工程师"
};
function myjob(gender,age,company)
{
  alert(this.name+","+gender+",今年"+age+"岁,在"+company+"担任"+this.job);
}
myjob.apply(xh,["女",24,"腾讯"]);
myjob.apply(xm,["男",22,"新浪"]);
myjob.apply(xw,["男",28,"网易"]);
</pre>
<p><strong>三、bind函数</strong></p>
<p>call,apply和bind都可以“绑架”this，逼迫其指向其他对象</p>
<p>使用上和call,apply的区别，如</p>
<pre>
xw.say.call(xh);     //对函数直接调用
xw.say.apply(xh);   //对函数直接调用
xw.say.bind(xh)();   //返回的仍然是一个函数，因此后面需要()来调用
</pre>
<p>传参时可以像call那样</p>
<pre>
xw.say.bind(xh,"中央大学","一年级")();
</pre>
<p>由于bind返回的仍然是一个函数，所以也可以在调用时再进行传参</p>
<pre>
xw.say.bind(xh)("中央大学","一年级");
</pre>
<p>更多关于JavaScript相关内容可查看本站专题：《javascript面向对象入门教程》、《JavaScript中json操作技巧总结》、《JavaScript切换特效与技巧总结》、《JavaScript查找算法技巧总结》、《JavaScript错误与调试技巧总结》、《JavaScript数据结构与算法技巧总结》、《JavaScript遍历算法与技巧总结》及《JavaScript数学运算用法总结》</p>
<p>希望本文所述对大家JavaScript程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                    ，                bind<br />
                    ，                apply<br />
                                    call<br />
                                    bind call apply、apply call bind 区别、js call apply bind、apply call bind 参数、apply bind，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:05:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/call/" title="CALL">CALL</a>, <a href="https://www.iamivan.net/tag/apply/" title="apply">apply</a>, <a href="https://www.iamivan.net/tag/bind/" title="BIND">BIND</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript中call,apply,bind函数用法示例_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eYkYb.html" rel="bookmark">javascript中call&comma;apply&comma;bind的用法对比分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要给大家对比分析了javascript中call,apply,bind三个函数的用法,非常的详细,这里推荐给小伙伴们.     关于call,apply,bind这三个函数的用法,是学习javascript这门语言无法越过的知识点.下边我就来好好总结一下它们三者各自的用法,及常见的应用场景. 首先看call这个函数,可以理解成&quot;借用&quot;,&quot;请求&quot;.想像一下如下的情景:你孤单一人漂泊在外,有急事想往家里打电话,可是很不巧,手机欠费了,或者没电了,或者掉坑里了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jxKKp.html" rel="bookmark">JavaScript必知必会&lpar;十&rpar; call apply bind的用法说明&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				call 每个func 都会继承call apply等方法. function print(mesage) { console.log(mesage); return mesage; } print.call(this, &quot;cnblogs&quot;);//cnblogs call(thisAgr,agr1,agr2...) ,call方法第一个传递一个context上下文.后面是参数的个数. apply apply(thisAgr,[agr1,agr2]),apply方法和call的用法一样,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdm114z.html" rel="bookmark">Javascript中数组sort和reverse用法分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Javascript中数组sort和reverse用法.分享给大家供大家参考.具体分析如下: sort() 方法用于对数组的元素进行排序. reverse()将数组中的元素逆序 首先我们来试试以下这段代码: 复制代码 代码如下: var values = [1, 0, 5, 15, 10]; values.reverse(); console.log(values); 输出结果会是什么呢: [ 10, 15, 5, 0, 1 ] reverse()也就是很简单的把数组倒过来而已,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6exlgb.html" rel="bookmark">javascript中call&comma;apply&comma;bind的用法对比分析&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于call,apply,bind这三个函数的用法,是学习javascript这门语言无法越过的知识点.下边我就来好好总结一下它们三者各自的用法,及常见的应用场景. 首先看call这个函数,可以理解成&quot;借用&quot;,&quot;请求&quot;.想像一下如下的情景:你孤单一人漂泊在外,有急事想往家里打电话,可是很不巧,手机欠费了,或者没电了,或者掉坑里了,总之你的手机就是用不成.可是你非打这个电话不可,于是你可以去借一下朋友的手机,或者借用一下邻居的手机,或者公用电话,这样呢,你就可以在自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgww3ZM.html" rel="bookmark">JavaScript中5种调用函数的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章详细的介绍了Javascript中各种函数调用的方法及其原理,对于理解JavaScript的函数有很大的帮助! JavaScript,调用函数的5种方法 一次又一次的,我发现,那些有bug的Javascript代码是由于没有真正理解Javascript函数是如何工作而导致的(顺便说一下,许多那样的代码是我写的).JavaScript拥有函数式编程的特性, 当我们选择面对它的时候,这将成为我们前进的阻碍. 作为初学者,我们来测试五种函数调用的方法,从表面来看我们会认为那些函数与C#中函数的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEdPkoz.html" rel="bookmark">在JavaScript中正确引用bind方法的应用&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在JavaScript中,方法往往涉及到上下文,也就是this,因此往往不能直接引用,就拿最常见的console.log(&quot;info-&quot;)来说,避免书写冗长的console,直接用log(&quot;info-&quot;)代替,不假思索的会想到如下语法: var log = console.log; log(&quot;info-&quot;);      很遗憾,运行报错:TypeError: Illegal invocation.      为啥呢?对于console.log(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wjkrM.html" rel="bookmark">JS作为值的函数用法示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS作为值的函数用法.分享给大家供大家参考,具体如下: function callSomeFunction(someFunction,someArgument){ return someFunction(someArgument); } 这个函数接受两个参数,第一个函数应该是一个函数,第二个参数应该是要传递给该函数的一个值.该函数是通用的. 如: function add10(num){ return num+10; } var result = callSomeFunction(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG8GJvb.html" rel="bookmark">JavaScript中的console&period;log&lpar;&rpar;函数详细介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于JavaScript程序的调试,相比于alert(),使用console.log()是一种更好的方式,原因在于:alert()函数会阻断JavaScript程序的执行,从而造成副作用:而console.log()仅在控制台中打印相关信息,因此不会造成类似的顾虑. 什么是console.log()? 除了一些很老版本的浏览器,现今大多数浏览器都自带调试功能:即使没有调试功能,也可以通过安装插件来进行补充.比如,老版本的Firefox没有自带调试工具,在这种情况下可以通过安装Firebug插件来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0jkOz.html" rel="bookmark">Javascript中call的两种用法实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用法一(常见用法): 表现形式为:一个对象.方法.call(另一个对象),意义是用另一个对象代替当前对象,执行当前对象的方法.先看示例: 复制代码 代码如下: function Class1(){    this.name = &quot;class1&quot;;    this.showName = function(){        alert(this.name);    }}function Class2(){    this.name = &quot;class2&quot;;}var c1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boqqvp.html" rel="bookmark" class="title">终止阻塞的线程</a>
					<div>
						线程状态     我们知道,一个线程可以处于以下四种状态之一:     1. 新建(New):当线程被创建时,它只会短暂地处于这种状态.此时它已经分配了必须的系统资源,并执行了初始化.此刻线程已经有资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnV6op.html" rel="bookmark" class="title">悦怀SEO：解析网站失去快照后仍可收录的蹊跷现象</a>
					<div>
						站长们运营网站遇到的蹊跷现象很多,百度十一位.快照不更新.搜索不同关键词快照日期不一样等,蹊跷的现象遇到的多了,站长们也不以为然了,可不知这些现象中都意味着网站的毛病.在论坛看到有网友问首页没有快照, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA3K3z.html" rel="bookmark" class="title">Creating DataGrid Templated Columns Dynamically - Part II（转自DotNetTips）</a>
					<div>
						datagrid Creating DataGrid Templated Columns Dynamically - Part II Introduction In previous part of  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOy29M.html" rel="bookmark" class="title">拿什么拯救你 我的seo</a>
					<div>
						当面对一场战争,假如seo惨败了,我们该如何拯救他呢?我们如何拿关键词与权重高的网站抗衡? 一山更比一山高,强中更有强中手.seo需要的是坚持,在别人喝咖啡的时候,你在学习;在别人睡觉的时候,你在学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0rX0z.html" rel="bookmark" class="title">Mac下Excel中无法用键盘方向键切换单元格的原因</a>
					<div>
						事在Mac下的Excel表要切换单元格,一般来说通过键盘即可,但是却发现单元格无法切换反而整个表会跟着移动.google后,用了这个方法解决:外接一个USB键盘,然后按Ctrl+Scroll Lock ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2g1xp.html" rel="bookmark" class="title">Java里面去掉网页里的HTML标记的方法</a>
					<div>
						01./**02. * 去掉字符串里面的html代码.&lt;br&gt;03. * 要求数据要规范,比如大于小于号要配套,否则会被集体误杀.04. *05. * @param content06.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2ryab.html" rel="bookmark" class="title">android中查看项目数字证书的两种方法</a>
					<div>
						  方法一:在Eclipse中选择winows -&gt; preferance -&gt; android -&gt; build 方法二:通过在命令行中输入以下命令进行查看: keytool -l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWWNPp.html" rel="bookmark" class="title">PS打造化妆品广告肌肤广告效果照片</a>
					<div>
						牛奶白肌肤打造效果对比如图: 现在我们开始讲牛奶白肌肤的制作; photoshop教程第一步:用修复工具把脸上的瑕疵修掉.很简单我就不截图了. 第二步,计算出亮部选区和暗部选区,图像--计算命令设置参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa2lRz.html" rel="bookmark" class="title">win7硬盘无法弹出BitLocker解密窗口怎么办</a>
					<div>
						  1.首先点击开始菜单按钮,然后依次点击&quot;所有程序-附件&quot;,找到并右击&quot;命令提示符&quot;,选择以管理员身份运行; 2.在弹出的命令提示符窗口中,输入命令&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8e8Zp.html" rel="bookmark" class="title">格式工厂内部解码器怎么安装使用</a>
					<div>
						  1.首先我们找到本地的格式工厂的程序,软件我们双击打开,直接进入. 2.在左上角我们找到选项字样,直接点击进入就可以. 3.在左边切换到高级的选项设置. 4.点击安装内部解码器到系统,点击安装就好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywXrPz.html" rel="bookmark" class="title">图片文字是什么体</a>
					<div>
						  而前两天终于得知一个方法可以解决此问题的方法,那就是利用知名的字体网站myFonts提供的What The Font功能,但该方法有个缺点,那就是仅限于查找英文字体.我用以下这张Twitter的L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZXRqz.html" rel="bookmark" class="title">会话管理之Cookie技术</a>
					<div>
						版权声明:尊重博主原创文章,转载请注明出处哦~http://blog.csdn.net/eson_15/article/details/51260149 目录(?)[+]         会话管理是w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q27Dp.html" rel="bookmark" class="title">os- windows恢复环境的处理器体系结构或OS版本与所备份计算机的处理器体系结构不同？</a>
					<div>
						问题描述 windows恢复环境的处理器体系结构或OS版本与所备份计算机的处理器体系结构不同? 电脑里预装的win8很早之前用自带的软件做了一个系统映像放到同块磁盘的F盘下,然后前段时间升级到win8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZPONb.html" rel="bookmark" class="title">character-myeclipse 2016连接数据库的jar版本问题</a>
					<div>
						问题描述 myeclipse 2016连接数据库的jar版本问题 myeclipse 2016连接数据库的jar版本问题,连接数据库,也导入jar了,可是运行时,跳转java.lang.ClassNo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamJ7Nb.html" rel="bookmark" class="title">i ealth 智能血压计-iHealth 智能血压计设计原理和代码</a>
					<div>
						问题描述 iHealth 智能血压计设计原理和代码 求助:之前小米有一款app叫做&quot;爱健康&quot;app(iHealth),它在红米上可以变成智能血 压计,来测量父母亲人的血压,直接反应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3j9lz.html" rel="bookmark" class="title">java web-JAVA WEB项目求助。简单的登录用户界面</a>
					<div>
						问题描述 JAVA WEB项目求助.简单的登录用户界面 简单的登录界面,实现注册帐号,修改密码,忘记密码后修复密码. 需要使用后台与数据库的交互. 求教各位大神,1.搭什么样的环境比较好.求文章分享. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK0dRb.html" rel="bookmark" class="title">关于java中的输入输出流的问题，新手求教，谢谢</a>
					<div>
						问题描述 关于java中的输入输出流的问题,新手求教,谢谢 import java.io.*; public class Filetest3 { public static void main(Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeBXLb.html" rel="bookmark" class="title">Google推出新版关键词分析工具</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 搜索引擎Google又推出新的免费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqJX5z.html" rel="bookmark" class="title">如何控制Lotus中上传附件的位置</a>
					<div>
						问题描述 问题还是没有解决..唉...上次问过shilei兄,无奈自己太菜...-------------------用lotus自带的资料上载元件上载附件的时候附件是默认上载到资料库的,这样时间长了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEBBoM.html" rel="bookmark" class="title">绿航网无法访问或因访问人数过多</a>
					<div>
						比特网(ChinaByte)6月10日消息,绿航网作为绿坝-花季护航软件的官方网站备受 网友关注,昨天晚上,该网站就出现了访问缓慢的情况,目前,该网站的访问仍是只能打开主页,而无法进一步访问. 日前, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y62Pz.html" rel="bookmark" class="title">一步一步写算法（之排序二叉树删除-1）</a>
					<div>
						原文:一步一步写算法(之排序二叉树删除-1) [ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]     相比较节点的添加,平衡二叉树的删除要复杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xQ2ob.html" rel="bookmark" class="title">请问一个Apache 和 Websphere结合后应用问题</a>
					<div>
						问题描述 各位大侠,我已经在Websphere和apache结合在一块了,并且成功部署了应用程序,包括webprojectwebserver的设置如下:host:localhostport:80该应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyKD2z.html" rel="bookmark" class="title">notepad&plus;&plus;编辑html代码代码注释不变颜色了</a>
					<div>
						问题描述 notepad++编辑html代码代码注释不变颜色了 notepad++编辑html代码代码注释不变颜色了,以前会变成绿色的.. 解决方案 是不是文件名的后缀名写错了, 解决方案二: 没写错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RvjRz.html" rel="bookmark" class="title">怎样选择你的最佳商用Linux服务器？</a>
					<div>
						所谓适合你的商用Linux服务器,可能只是符合你的职员水准的服务器. 供图: flickr/Pete 与上千种Linux桌面版本相比,Linux服务器只有可怜的十几种.但想要选对适合你的企业需要的仍然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrA22p.html" rel="bookmark" class="title">大唐、天威拟联手在澳参与风能项目</a>
					<div>
						每经记者 喻春来 发自北京 大唐集团新能源(01798,HK)和保定天威保变(600550,SH)将进入澳大利亚开发风电市场.昨日(4月18日),澳交所上市的CBDEnergyLtd.(CBD.AU) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqL5ap.html" rel="bookmark" class="title">ASP&period;NET餐饮管理系统制作代码分享&lowbar;实用技巧</a>
					<div>
						页面介绍展示: 以上是餐饮管理系统制作图片介绍,接下来是代码部分. menu.aspx ﻿ &lt;%@ Page Language=&quot;C#&quot; MasterPageFile=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj82Wdp.html" rel="bookmark" class="title">Java发送邮件遇到的常见需求汇总&lowbar;java</a>
					<div>
						基于SMTP发送一个简单的邮件 首先,需要一个认证器: package No001_基于SMTP的文本邮件; import javax.mail.Authenticator; import javax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYnVAb.html" rel="bookmark" class="title">新法远程控制 木马病毒瞄准Word&lowbar;漏洞研究</a>
					<div>
						Microsoft Word用户应当对下载的文件格外小心,因为黑客正在利用这种流行的文字处理软件中一个尚未修正的缺陷兴风作浪. 据IDG报道称,美国当地时间上周四,安全厂商McAfee公司警告用户称, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8nx8p.html" rel="bookmark" class="title">游戏赚钱之QQ仙灵手动赚钱技巧</a>
					<div>
						给大家推荐一个比较简单的挣钱方法:http://www.111cn.net/cp/ad_count.php?ad_id=446 剑灵没开火炮海蛇,每天纯撸炎黄,那叫一个恶心,虽然收入可观,但是我是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJLVoM.html" rel="bookmark" class="title">新华社与电子信息产业集团战略合作</a>
					<div>
						新华社与中国电子信息产业集团2日签署全面战略合作协议,双方将在技术.产品.市场.资本等方面开展合作. 新华社社长李从军表示,当今媒体竞争在一定意义上是科技的竞争.新华社是中国国家通讯社,也是具有中国特 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
